<h1 mat-dialog-title>Registration</h1>
<mat-dialog-content>
  <p>Please enter your name.</p>
  <mat-form-field appearance="fill" class="formInput">
    <mat-label>Name</mat-label>
    <input matInput [formControl]="nameControl">
    <fa-icon [icon]="faUserPlus" class="formIcon" matSuffix></fa-icon>
    <mat-hint>Enter name</mat-hint>
    <mat-error *ngIf="nameControl.invalid">You must enter a name.</mat-error>
  </mat-form-field>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-button (click)="onCancelClick()">CANCEL</button>
  <button mat-button color="primary" (click)="onSubmitClick()" type="submit">REGISTER</button>
</mat-dialog-actions>
